Show unconnected beams and overlapped beams

I want to develop a tool for Show unconnected beams and overlapped beams in python. Anybody have an idea

@Mathupathy
Welcome.
Did you coding something? Can you share it? What step are you blocked?

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *

doc = __revit__.ActiveUIDocument.Document

# Get all columns in the document
columns = FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_StructuralColumns).OfClass(FamilyInstance).ToElements()

# Loop through the columns and check if they are joined
for column in columns:
    location = column.Location
    if isinstance(location, LocationPoint):
        point = location.Point
        for ref in column.GetReferences(FamilyInstanceReferenceType.StrongReference):
            element = doc.GetElement(ref)
            if isinstance(element, FamilyInstance):
                if element.Location.Point.DistanceTo(point) < doc.Application.ShortCurveTolerance:
                    # Column is joined, skip to the next one
                    break
        else:
            # Column is not joined, set Structural Usage to "Unused"
            parameter = column.get_Parameter(BuiltInParameter.ELEM_CATEGORY_PARAM)
            if parameter:
                if parameter.AsValueString() == "Structural Columns":
                    parameter = column.get_Parameter(BuiltInParameter.STRUCTURAL_USAGE_NOT_ANALYZED)
                    if parameter:
                        parameter.Set(1)